### Enumeration

# FwupdPlugin PluginRule

#### Declaration

    enum FwupdPlugin.PluginRule

#### Description [src]

The rules used for ordering plugins. Plugins are expected to add rules in fu_plugin_initialize().

#### Members

Name | Description
--- | ---
`FU_PLUGIN_RULE_CONFLICTS` | The plugin conflicts with another.
`FU_PLUGIN_RULE_RUN_AFTER` | Order the plugin after another.
`FU_PLUGIN_RULE_RUN_BEFORE` | Order the plugin before another.
`FU_PLUGIN_RULE_BETTER_THAN` | Is better than another plugin.
`FU_PLUGIN_RULE_INHIBITS_IDLE` | The plugin inhibits the idle shutdown.
`FU_PLUGIN_RULE_METADATA_SOURCE` | Uses another plugin as a source of report metadata.